
D4Science Infrastructure - VM Creation #11673

Task # 11639 (Closed): Add to the DM Proto cluster at least three new DM instances

Create 15 dataminer instances in the PA GARR region

Apr 18, 2018 02:21 PM - Andrea Dell'Amico

Status: Closed Start date: Apr 18, 2018

Priority: Normal Due date:  

Assignee: Lucio Lelii % Done: 100%

Target version: DM Proto Cluster   

Infrastructure: Production Applications list and

version:

dataminer, with the custom jar

RAM: 32 Applications context

path:

wps

CPU: 16 External storage data

disk:

 

DiskSpace: 40 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 15

Smartgears scopes:    

Description

To be used as generic workers

Related issues:

Blocks D4Science Infrastructure - Task #11676: Destroy the old generic worker... Closed Apr 18, 2018

History

#1 - Apr 18, 2018 02:43 PM - Andrea Dell'Amico

- Blocks Task #11676: Destroy the old generic workers dataminer instances and 5 dataminers in the CT GARR region. added

#2 - Apr 18, 2018 07:05 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Apr 18, 2018 07:20 PM - Andrea Dell'Amico

We do not have enough resources in the PA region for 15 instances. I'm activating 10 instances, 5 more can be activated in the CT region after the 5

standard ones have been destroyed.

#4 - Apr 19, 2018 01:35 PM - Andrea Dell'Amico

- % Done changed from 0 to 20

The provisioning is running.

#5 - Apr 19, 2018 05:13 PM - Andrea Dell'Amico

I'm having some dns-related failures on the GARR nodes, some hosts aren't completely deployed yet.

#6 - Apr 19, 2018 11:10 PM - Andrea Dell'Amico

- % Done changed from 20 to 80

The 10 dataminer are ready. When we have the confirm that the proto ones are good, I'll add to the load balancer and replace the current ones. The

other five will arrive after I'll be able to destroy some of the garr-ct1 dataminers.
#7 - Apr 20, 2018 02:55 PM - Andrea Dell'Amico

As the tests on the proto generic workers passed, I'm going to replace the current generic workers with those new ones.

#8 - Apr 20, 2018 03:02 PM - Andrea Dell'Amico

Done. The active genericworkers are now the newly created 10 dataminers on garr-pa1. If there are no objections I'm going to destroy the old

instances at garr-ct1 to make space for 5 other genericworker nodes.

#9 - Apr 20, 2018 04:09 PM - Andrea Dell'Amico

I'm recycling 5 current dataminer at garr-ct1:

ip-90-147-166-24.ct1.garrservices.it hostname=ip-90-147-166-24.ct1.garrservices.it

ip-90-147-166-23.ct1.garrservices.it hostname=ip-90-147-166-23.ct1.garrservices.it

ip-90-147-167-234.ct1.garrservices.it hostname=ip-90-147-167-234.ct1.garrservices.it

ip-90-147-167-237.ct1.garrservices.it hostname=ip-90-147-167-237.ct1.garrservices.it

ip-90-147-167-230.ct1.garrservices.it hostname=ip-90-147-167-230.ct1.garrservices.it

1. Remove from the garr pool backends

2. Change the jar file

3. Put them in the garr genericworkers backend pool

#10 - Apr 20, 2018 05:32 PM - Andrea Dell'Amico

Done.

#11 - Apr 20, 2018 05:33 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

#12 - Apr 23, 2018 12:49 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

As I received no feedback, I assume that the instances are working correctly.

#13 - Apr 23, 2018 02:06 PM - Gianpaolo Coro

@lucio.lelii@isti.cnr.it please, could you run automatic tests?

The GW cluster is dataminer-genericworkers.d4science.org

The DM front-end cluster is dataminer.garr.d4science.org

Please, use the BiodiversityLab token.

#14 - Apr 23, 2018 02:07 PM - Gianpaolo Coro

- Status changed from Closed to In Progress

- Assignee changed from Andrea Dell'Amico to Lucio Lelii

#15 - Apr 24, 2018 03:06 PM - Gianpaolo Coro

- Status changed from In Progress to Closed

The DMs work!

#16 - Apr 24, 2018 05:18 PM - Lucio Lelii

All the test passed, can we close the ticket ?
